Subject: bug#31675: Existing directories and files permissions are not being kept intact

From: Gunjan Gupta <[email-masked]>
Date: Fri, 1 Jun 2018 09:20:42 +0530

Hi,

Suppose I have the following directory structure

/
| - destination (mode=0755)
     | - dir (mode=0755)
          | - file.txt (mode=0644)
| - source
     | - dir (mode=0755)
          | - file.txt (mode=0644)

My user has a umask of 0077. Now if I run the following cp command

cp -aR --no-preserve=mode /source/* /destination

I think the mode of destination/dir should stay as 0755 but it changes to
0700. Is this expected?

I am using coreutils 8.26-3 on Debian Stretch

Thanks & Regards
Gunjan Gupta